package com.muyu.common.nacos.service;

import com.muyu.common.nacos.remote.NacosServiceRemote;
import com.muyu.common.nacos.remote.req.ServiceListReq;
import com.muyu.common.nacos.remote.resp.ServiceListResp;
import jakarta.annotation.Resource;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName NacosServiceService
 * @Description nacos服务器业务层
 * @Author Chen
 * @Date 2024/8/8 19:31
 */
public class NacosServerService {
    @Autowired
    private NacosServiceRemote nacosServiceRemote;

    public List<String> nacosServerAllList() {
        List<String> serverList = new ArrayList<>();
        ServiceListResp serviceListResp = null;
        int pageNo = 0;
        int pageSize = 2;
        do {
            serviceListResp = nacosServiceRemote.serviceList(
                    ServiceListReq.builder()
                            .pageNo(++pageNo)
                            .pageSize(pageSize)
                            .build()
            );
            serverList.addAll(serviceListResp.getDoms());
        } while (serviceListResp.getCount() > pageNo * pageSize);
        return serverList;

    }
}
